Bug 1472491 - python-parsley: Provide a Python 3 subpackage
python-parsley: Provide a Python 3 subpackage
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: python-parsley (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Mayr
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2017-07-18 18:19 EDT by Iryna Shcherbina
Modified: 2017-08-23 04:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-parsley-1.3-7.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iryna Shcherbina 2017-07-18 18:19:58 EDT
Upstream, this software supports Python 3 [0].
Please provide a Python 3 package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 26 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!

[0] https://github.com/pyga/parsley/blob/master/NEWS#L2
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/
Comment 1 Jan Kurik 2017-08-15 04:29:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Iryna Shcherbina 2017-08-22 12:41:28 EDT
I have created a PR for adding Python 3 support:
https://src.fedoraproject.org/rpms/python-parsley/pull-request/1

I would kindly ask you to review it and merge at will.

Koji scratch build for the PR:
https://koji.fedoraproject.org/koji/taskinfo?taskID=21403353

Note You need to log in before you can comment on or make changes to this bug.